
#INCLUDE "dcdialog.CH"
#INCLUDE "DCBITMAP.CH"
#INCLUDE "XBP.CH"
//
#define COLOR_RED        GraMakeRGBColor( { 255,   0,   0 } )
#define COLOR_DARKRED    GraMakeRGBColor( { 127,   0,   0 } )
#define COLOR_GREEN      GraMakeRGBColor( {   0, 255,   0 } )
#define COLOR_DARKGREEN  GraMakeRGBColor( {   0, 127,   0 } )
#define COLOR_BLUE       GraMakeRGBColor( {   0,   0, 255 } )
#define COLOR_DARKBLUE   GraMakeRGBColor( {   0,   0, 127 } )
#define COLOR_CYAN       GraMakeRGBColor( {   0, 255, 255 } )
#define COLOR_DARKCYAN   GraMakeRGBColor( {   0, 127, 127 } )
#define COLOR_YELLOW     GraMakeRGBColor( { 255, 255,   0 } )
#define COLOR_BROWN      GraMakeRGBColor( { 127, 127,   0 } )
#define COLOR_PINK       GraMakeRGBColor( { 255,   0, 255 } )
#define COLOR_DARKPINK   GraMakeRGBColor( { 127,   0, 127 } )
#define COLOR_WHITE      GraMakeRGBColor( { 255, 255, 255 } )
#define COLOR_BLACK      GraMakeRGBColor( {   0,   0,   0 } )
#define COLOR_PALEGRAY   GraMakeRGBColor( { 192, 192, 192 } )
#define COLOR_DARKGRAY   GraMakeRGBColor( { 127, 127, 127 } )
#define COLOR_ORANGE     GraMakeRGBColor( { 253, 120,  41 } )
#define COLOR_LTORANGE   GraMakeRGBColor( { 250, 205,   0 } )
#define COLOR_LTBLUE     GraMakeRGBColor( {  30, 187, 255 } )
#define COLOR_LTYELLOW   GraMakeRGBColor( { 128, 128,   0 } )
#define COLOR_DKYELLOW   GraMakeRGBColor( { 212, 212,   0 } )
#define COLOR_DKBROWN    GraMakeRGBColor( {  72,  72,   0 } )
#define COLOR_SLATEGRAY  GraMakeRGBColor( { 158, 182, 205 } )
#define COLOR_SILVER     GraMakeRGBColor( { 192, 192, 192 } )
#define COLOR_ICEGREEN   GraMakeRGBColor( { 222, 255, 189 } )

FUNCTION Main()
******************************************************************
local getlist := {},oDialog
local oConfig,oMenubar,oMenu
DCMENUBAR oMenuBar
DCSUBMENU oMenu Prompt 'Testing' PARENT oMenuBar

DCMENUITEM 'XbpButt, not DialogWindow, OK' PARENT oMenu;
  ACTION {|o|o:=Thread():new(),;
  o:start({||XbpButt(oDialog:drawingarea,.F.)})}
DCMENUITEM 'XbpButt, DialogWindow, not OK' PARENT oMenu;
  ACTION {|o|o:=Thread():new(),;
  o:start({||XbpButt(oDialog:drawingarea,.T.)})}

oConfig:=Init_Buttons()
@ 5,10 dcpushbuttonxp caption "Hej "  size 10,1 config oConfig
@ 10,10 dcpushbuttonxp BITMAP('clock.bmp') SIZE 6.5,2 CONFIG oConfig
DCREAD GUI TITLE 'TestProgram';
  PARENT @oDialog EVAL {|o|o:setFrameState(XBPDLG_FRAMESTAT_MAXIMIZED),SetAppwindow(o)}
RETURN nil
STATIC FUNCTION XbpButt(oApp,lDialogWindow)
local oDlgWindow,oDlg,cAlfa:='   ',oConfig:=Init_Buttons()
local Getlist:={}
DC_BitmapTransparentColor( { 192, 192, 192 } )
if lDialogWindow
  @ 0,0 DCDIALOG oDlgWindow DRAWINGAREA oDlg SIZE 100,30 TITLE 'TEST'
endif
@ 10,10 DCSAY 'Test' get cAlfa SAYSIZE 10 PARENT oDlg

@ 15,10 DCSAY 'DCPUSHBUTTOM' PARENT oDlg
@ 15,30 DCPUSHBUTTONXP CAPTION "Hallo"  SIZE 10,1 CONFIG oConfig;
 PARENT oDlg
@ 16,10 DCSAY 'CLOCK.BMP' PARENT oDlg
@ 16,30 DCPUSHBUTTONXP BITMAP('clock.bmp') SIZE 6.5,2 CONFIG oConfig;
 parent oDlg
@ 18,10 DCPUSHBUTTON CAPTION '&Close' SIZE 10,1 PARENT oDlg;
  ACTION {||DC_ReadGuiEvent(DCGUI_EXIT_ABORT,getlist)}
if lDialogWindow
   DCREAD GUI PARENT oApp EVAL {|o|SetAppFocus(o),o:invalidateRect() }
   oDlgWindow:destroy()
else
   DCREAD GUI MODAL TITLE 'Test'
endif
RETURN(.T.)
PROC appsys
return

STATIC FUNCTION Init_Buttons
Local oConfig
oConfig := DC_XbpPushButtonXPConfig():new()
oConfig:bitmapOffset := 10
oConfig:bitmapScale := 1.0
oConfig:fgColorMouse := COLOR_BLACK
oConfig:bgColorMouse := COLOR_SLATEGRAY
oConfig:fgColor := COLOR_BLACK
oConfig:bgColor := COLOR_SILVER
oConfig:fgColorSelected := COLOR_BLACK
oConfig:bgColorSelected := COLOR_ICEGREEN
oConfig:fgColorClick := COLOR_BLACK
oConfig:bgColorClick := COLOR_CYAN
oConfig:gradientStep := 6
oConfig:gradientReverse := .T.
oConfig:radius := 7
oConfig:outline := .T.
oConfig:font := '10.Arial'
oConfig:mouseOverFont := '12.Arial Bold'
oConfig:mouseOverScale := 1.00
oConfig:borderColor := COLOR_BLUE
oConfig:shadowType := 6
RETURN(oConfig)
